当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : fcitx不能在基于qt或kde库的程序上使用
帖子发表于 : 2006-08-26 13:06 
头像

注册: 2006-01-06 17:26
帖子: 198
送出感谢: 0 次
接收感谢: 0 次
fcitx是我自己编译的最新版本3.2.1

凡是基于qt or kde 库的软件都无法使用fcitx输入法,我又不习惯scim输入法

请那位大侠帮忙解决一下


_________________
我是学习linux,不是学习如何装linux。

Myblog


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-08-26 21:05 
头像

注册: 2005-03-30 0:27
帖子: 3294
送出感谢: 0 次
接收感谢: 2
因为你自己编译的 fcitx 没有加上 im-switch 支持

而 im-switch 是 ubuntu/deb/fedora 的标准输入法管理系统



既然没用 im-switch 的,那么你应该是自己写输入法启动脚本,
可能你加上了错误的设定,
注意是 QT_IM_MODULE=XIM , 不要写成 =fcitx


_________________
跃过无数的时间断层,只为了在


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-08-27 7:45 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
我解决方法。这样也许是最简单的。不用配置什么。
首先安装源里面的版本,sudo apt-get install fcitx im-switch libapt-pkg-perl
设置为默认输入法。
sudo im-switch -s fcitx

然后再编译最新的fcitx,比如3.3
在编译的时候加上参数 --prefix=/usr,
编译完成之后,就sudo make install

现在注销之后就可以使用最新版的fcitx了。

不用再去考虑如何编写输入法启动脚本。


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-08-27 13:16 
头像

注册: 2006-01-06 17:26
帖子: 198
送出感谢: 0 次
接收感谢: 0 次
我按2楼的方法就解决了,谢谢各位啦


_________________
我是学习linux,不是学习如何装linux。

Myblog


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译